Bug 866450 - unstable output from dracut
unstable output from dracut
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 07:57 EDT by Mads Kiilerich
Modified: 2013-05-29 09:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 09:18:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2012-10-15 07:57:34 EDT
The output of
  dracut -f -L 5
has some parts with (pseudo) random order.

That gives annoying noise when debugging and investigating differences.

The following patch makes the output stable for me:

--- module-setup.sh	2012-10-15 12:49:16.700733551 +0200
+++ /usr/lib/dracut/modules.d/90kernel-modules/module-setup.sh	2012-10-15 12:50:18.330593970 +0200
@@ -43,7 +43,7 @@
         # install unix socket support
         hostonly='' instmods unix
         instmods "=drivers/pcmcia" =ide "=drivers/usb/storage"
-        find_kernel_modules  |  block_module_filter  |  instmods
+        find_kernel_modules  |  block_module_filter  |  sort  |  instmods
         # if not on hostonly mode, install all known filesystems,
         # if the required list is not set via the filesystems variable
         if ! [[ $hostonly ]]; then

Please consider applying a patch like this.


dracut-018-105.git20120927.fc17.noarch
Comment 1 Harald Hoyer 2012-10-16 04:46:27 EDT
sorry, it's different now in upstream... why don't you use "lsinitrd" to inspect the contents of the initramfs?
Comment 2 Mads Kiilerich 2012-10-16 06:52:21 EDT
I do also use lsinitrd, but monitoring changes in the build output is convenient for getting an easy answer to exactly _why_ the content in the initramfs changed and what consequences it has to change the dracut configuration or the installed package base.

Ok, I will wait and see how it works with the next upstream version.

Note You need to log in before you can comment on or make changes to this bug.